ObjectARX acedGetKword获取关键字简单示例

发布时间 2023-03-22 21:11:01作者: edata

acedGetKword关键字使用例子

		acedInitGet(0,_T("C R D _c r d"));
		ACHAR szKeyword[128]={0};
		int nRet=acedGetKword(_T("\n请选择类型[圆形(C)/矩形(R)/绘制多边形(D)]<C>: "),szKeyword);
		if (RTCAN == nRet)
		{
			acutPrintf(_T("\n取消"));
			return;
		}
		else if (RTNONE == nRet)
		{
			acutPrintf(_T("\n使用默认值"));
			
		}
		else if (RTNORM == nRet)
		{
			if (_tcscmp(szKeyword,_T("c") ) == 0)
			{
				acutPrintf(_T("\n选择了圆"));
			}
			else if (_tcscmp(szKeyword,_T("r") ) == 0)
			{
				acutPrintf(_T("\n选择了矩形"));
			}
			else if (_tcscmp(szKeyword,_T("d") ) == 0)
			{
				acutPrintf(_T("\n选择了绘制多边形"));
			}
		}
		else 
		{
			acutPrintf(_T("\ngetkword执行失败"));
		}

测试